Subject: Re: problem with \\.\a
From: [email-masked] (Corinna Vinschen)

13 Dec 1998 09:53:23 -0800
Message-ID: <[email-masked]>
References: <3.0.5.32.19981209190235.00936960@deis64>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Stefano! I got this mail back from the Mailer-Deamon
with the following error message:
---
mail.local: /var/mail/lodi: No space left on device
---

Stefano Lodi wrote:
> 
> Briefly, when I write
> 
>  tar tvf '\\.\a'
> 
> the system accesses the floppy but after a few seconds
> aborts with
> 
> bash-2.02$ tar tvf '\\.\a'
> tar: Cannot open \\.\a: Permission denied
> tar: Error is not recoverable: exiting now

No, no! \\.\a: (Note the colon!) is the raw device path
of floppy a: as Windows file name! _But_ you are using
an unix like environment. You'll have to do the following:

mount -b //./a: /dev/fd0

and now:

tar cvf /dev/fd0 ...

You have to use the ux-like path, ok?

Unfortunately, the original B20.1 dll doesn't deal with
raw devices correctly. You'll have to download my version
of the dll, which I have announced to [email-masked]
today.

> BTW, I have noticed that the administrator has only C:
> mounted on /, whereas a user has all the /dev/fd and /dev/tape stuff.
> Is it normal?

The mounts (/dev/..., too) are written into the registry
not once, but for every user again! So, if one starts
any cygwin executable, she get the default mount points.
In the older version of cygwin dll (before B20), the /dev paths
were default. Since B20, you have to do it yourself, but for
the root mount.

But CAUTION! The default mounts are text!=binary, which leads
to unwanted LF->CR/LF transformations.

Better, especially for raw devices:
	umount /dev/st0
	mount -b //./tape0 /dev/st0

-b is the binary mount option. You'll get a warning, which you can
ignore (or disable by using option -f).

> of course I have no /dev, but I think I read
> in the list that you don't need one, since it is simulated.

Yes, but the file completion of the shell only works fine, if
you have a mount directory.

Hope, this helps,

Corinna
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".